Name:           perl-Devel-PartialDump
Version:        0.15
Release:        8%{?dist}
Summary:        Partial dumping of data structures, optimized for argument printing
# from PartialDump.pm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-PartialDump/
Source0:        http://www.cpan.org/authors/id/F/FL/FLORA/Devel-PartialDump-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
# Moose has a manual dependency on Devel::PartialDump for enhanced reporting
# Devel::PartialDump itself requires Moose, so when bootstrapping we do a blind
# build of Devel::PartialDump without running the test suite, then build Moose,
# then rebuild Devel::PartialDump with Moose, running the test suite
%if !0%{?perl_bootstrap}
BuildRequires:  perl(Moose)
%endif
BuildRequires:  perl(namespace::clean) >= 0.20
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::use::ok)
BuildRequires:  perl(Test::Warn) >= 0.21
Requires:       perl(namespace::clean) >= 0.20
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module is a data dumper optimized for logging of arbitrary parameters.

%prep
%setup -q -n Devel-PartialDump-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{!?perl_bootstrap:1}
make test
%endif

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Petr Pisar <ppisar@redhat.com> - 0.15-6
- Perl 5.16 re-rebuild of bootstrapped packages

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 0.15-5
- Perl 5.16 rebuild

* Fri Apr 06 2012 Iain Arnell <iarnell@gmail.com> 0.15-4
- avoid circular build dependency with perl-Moose (patch from Paul Howarth
  rhbz#810532)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.15-2
- Perl mass rebuild

* Fri May 20 2011 Iain Arnell <iarnell@gmail.com> 0.15-1
- update to latest upstream
- bump namespace::clean dep to 0.20

* Wed Apr 27 2011 Iain Arnell <iarnell@gmail.com> 0.14-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Jul 04 2010 Iain Arnell <iarnell@gmail.com> 0.13-1
- Specfile autogenerated by cpanspec 1.78.
